Package org.kie.api.runtime

## Interface RequestContext

- All Superinterfaces:
    `Context`

      public interface RequestContext
      extends Context

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RequestContext` | `create()` |
    `static RequestContext` | `create​(java.lang.ClassLoader classLoader)` |
    `Context` | `getApplicationContext()` |
    `Context` | `getConversationContext()` |
    `default <T> T` | `getOutput​(java.lang.String identifier)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getOutputs()` |
    `java.lang.Object` | `getResult()` |
    `default boolean` | `hasOutput​(java.lang.String identifier)` |
    `void` | `removeOutput​(java.lang.String identifier)` |
    `void` | `setOutput​(java.lang.String identifier, java.lang.Object value)` |
    `void` | `setResult​(java.lang.Object result)` |
    `RequestContext` | `with​(KieBase kieBase)` |
    `RequestContext` | `with​(KieSession kieSession)` |

    - ### Methods inherited from interface org.kie.api.runtime.Context

      `get, getName, has, remove, set`

- - ### Method Detail

    - #### getResult

          java.lang.Object getResult()

    - #### setResult

          void setResult​(java.lang.Object result)

    - #### with

          RequestContext with​(KieBase kieBase)

    - #### with

          RequestContext with​(KieSession kieSession)

    - #### getConversationContext

          Context getConversationContext()

    - #### getApplicationContext

          Context getApplicationContext()

    - #### getOutputs

          java.util.Map<java.lang.String,​java.lang.Object> getOutputs()

    - #### setOutput

          void setOutput​(java.lang.String identifier,
                         java.lang.Object value)

    - #### removeOutput

          void removeOutput​(java.lang.String identifier)

    - #### getOutput

          default <T> T getOutput​(java.lang.String identifier)

    - #### hasOutput

          default boolean hasOutput​(java.lang.String identifier)

    - #### create

          static RequestContext create()

    - #### create

          static RequestContext create​(java.lang.ClassLoader classLoader)